## ecere-sdk 0.44.11

=== compiler/Makefile ===
.PHONY: all bootstrap cleantarget clean realclean distclean libec ecp ecc ecs
ifneq "$(V)" "1"
.SILENT:
endif

CONFIG := release

include ../crossplatform.mk
include ../default.cf

all: ecp ecc ecs

libec:
	@$(call echo,Building 2nd stage libec...)
	cd libec && $(MAKE)

ecp: libec
	@$(call echo,Building 2nd stage ecp...)
	cd ecp && $(MAKE)

ecc: libec
	@$(call echo,Building 2nd stage ecc...)
	cd ecc && $(MAKE)

ecs: libec
	@$(call echo,Building 2nd stage ecs...)
	cd ecs && $(MAKE)

bootstrap:
	@$(call echo,Bootstrapping eC compiling tools...)
	cd bootstrap && $(MAKE)

cleantarget:
	cd bootstrap && $(MAKE) cleantarget
	cd libec && $(MAKE) cleantarget
	cd ecp && $(MAKE) cleantarget
	cd ecc && $(MAKE) cleantarget
	cd ecs && $(MAKE) cleantarget

clean:
	cd bootstrap && $(MAKE) clean
	cd libec && $(MAKE) clean
	cd ecp && $(MAKE) clean
	cd ecc && $(MAKE) clean
	cd ecs && $(MAKE) clean

realclean:
	cd bootstrap && $(MAKE) realclean
	cd libec && $(MAKE) realclean
	cd ecp && $(MAKE) realclean
	cd ecc && $(MAKE) realclean
	cd ecs && $(MAKE) realclean

distclean:
	cd bootstrap && $(MAKE) distclean
	cd libec && $(MAKE) distclean
	cd ecp && $(MAKE) distclean
	cd ecc && $(MAKE) distclean
	cd ecs && $(MAKE) distclean

=== ecere/Makefile ===
.PHONY: all objdir cleaneceretarget cleantarget clean realclean distclean nores

# CORE VARIABLES

MODULE := ecere
VERSION := 0.44
CONFIG := release
ifndef COMPILER
COMPILER := default
endif

TARGET_TYPE = sharedlib

# FLAGS

ECFLAGS =
ifndef DEBIAN_PACKAGE
CFLAGS =
LDFLAGS =
endif
PRJ_CFLAGS =
CECFLAGS =
OFLAGS =
LIBS =

ifdef DEBUG
NOSTRIP := y
endif

CONSOLE = -mwindows

# INCLUDES

_CF_DIR = ../
USE_BOOTSTRAP := defined

include $(_CF_DIR)crossplatform.mk
include $(_CF_DIR)default.cf

ifdef PREFIXLIBDIR
CFLAGS += -DDEB_HOST_MULTIARCH=\"$(call escspace,$(PREFIXLIBDIR))\"
endif

# POST-INCLUDES VARIABLES

OBJ = obj/$(CONFIG).$(PLATFORM)$(COMPILER_SUFFIX)$(DEBUG_SUFFIX)/

RES = res/

TARGET = obj/$(CONFIG).$(PLATFORM)$(COMPILER_SUFFIX)$(DEBUG_SUFFIX)/$(LP)ecere$(SO)$(VER)
ifdef LINUX_TARGET
SONAME = -Wl,-soname,libecere.so.0
else
SONAME =
endif

_ECSOURCES = $(_ECSOURCES1) $(_ECSOURCES2) $(_ECSOURCES3)
_ECSOURCES1 = \
	src/sys/Archive.ec \
	src/sys/BufferedFile.ec \
	src/sys/Date.ec \
	src/sys/DualPipe.ec \
	src/sys/EARArchive.ec \
	src/sys/File.ec \
	src/sys/FileMonitor.ec \
	src/sys/GlobalAppSettings.ec \
	src/sys/JSON.ec \
	src/sys/JSONGlobalSettings.ec \
	src/sys/memory.ec \
	src/sys/Mutex.ec \
	src/sys/Semaphore.ec \
	src/sys/System.ec \
	src/sys/TempFile.ec \
	src/sys/Thread.ec \
	src/sys/Time.ec \
	src/sys/unicode.ec \
	src/sys/units.ec \
	src/sys/i18n.ec \
	src/sys/Condition.ec \
	src/gfx/3D/meshes/Cube.ec \
	src/gfx/3D/meshes/SkyBox.ec \
	src/gfx/3D/meshes/Sphere.ec \
	src/gfx/3D/models/Object3DSFormat.ec \
	src/gfx/3D/Camera.ec \
	src/gfx/3D/Matrix.ec \
	src/gfx/3D/Mesh.ec \
	src/gfx/3D/Object.ec \
	src/gfx/3D/Plane.ec \
	src/gfx/3D/Quaternion.ec \
	src/gfx/3D/Vector3D.ec \
	src/gfx/bitmaps/BMPFormat.ec \
	src/gfx/bitmaps/GIFFormat.ec \
	src/gfx/bitmaps/JPEGFormat.ec \
	src/gfx/bitmaps/PCXFormat.ec \
	src/gfx/bitmaps/PNGFormat.ec \
	src/gfx/bitmaps/RGBFormat.ec \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/Direct3D8DisplayDriver.ec,) \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/Direct3D9DisplayDriver.ec,) \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/DirectDrawDisplayDriver.ec,) \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/GDIDisplayDriver.ec,) \
	src/gfx/drivers/lfbBlit.ec \
	src/gfx/drivers/lfbConvert.ec \
	src/gfx/drivers/LFBDisplayDriver.ec \
	$(if $(or $(LINUX_TARGET),$(OSX_TARGET)),src/gfx/drivers/NCursesDisplayDriver.ec,) \
	$(if $(DISABLE_GL),,src/gfx/drivers/OpenGLDisplayDriver.ec) \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/Win32BitmapPrinterDisplayDriver.ec,)
_ECSOURCES2 = \
	$(if $(OSX_TARGET),src/gfx/drivers/CocoaOpenGLDisplayDriver.ec,) \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/Win32ConsoleDisplayDriver.ec,) \
	$(if $(WINDOWS_TARGET),src/gfx/drivers/Win32PrinterDisplayDriver.ec,) \
	$(if $(or $(LINUX_TARGET),$(OSX_TARGET)),src/gfx/drivers/XDisplayDriver.ec,) \
	src/gfx/Bitmap.ec \
	src/gfx/BitmapResource.ec \
	src/gfx/Color.ec \
	src/gfx/Display.ec \
	src/gfx/DisplaySystem.ec \
	src/gfx/FontResource.ec \
	src/gfx/Resource.ec \
	src/gfx/Surface.ec \
	src/gui/controls/Button.ec \
	src/gui/controls/CalendarControl.ec \
	src/gui/controls/DataBox.ec \
	src/gui/controls/DropBox.ec \
	src/gui/controls/EditBox.ec \
	src/gui/controls/Label.ec \
	src/gui/controls/ListBox.ec \
	src/gui/controls/Menu.ec \
	src/gui/controls/Picture.ec \
	src/gui/controls/ProgressBar.ec \
	src/gui/controls/ScrollBar.ec \
	src/gui/controls/StatusBar.ec \
	src/gui/controls/TabControl.ec \
	src/gui/controls/PaneSplitter.ec \
	src/gui/controls/Stacker.ec \
	src/gui/controls/PathBox.ec \
	src/gui/controls/ToolTip.ec \
	src/gui/controls/SelectorBar.ec \
	src/gui/dialogs/ColorPicker.ec \
	src/gui/dialogs/FileDialog.ec \
	src/gui/dialogs/FindDialog.ec \
	src/gui/dialogs/GoToDialog.ec \
	src/gui/dialogs/MessageBox.ec \
	src/gui/dialogs/ReplaceDialog.ec \
	src/gui/dialogs/WindowList.ec \
	$(if $(OSX_TARGET),src/gui/drivers/cocoa/CocoaDispatch.ec,) \
	$(if $(OSX_TARGET),src/gui/drivers/cocoa/CocoaInterface.ec,)
_ECSOURCES3 = \
	$(if $(or $(LINUX_TARGET),$(OSX_TARGET)),src/gui/drivers/NCursesInterface.ec,) \
	$(if $(WINDOWS_TARGET),src/gui/drivers/Win32Interface.ec,) \
	$(if $(WINDOWS_TARGET),src/gui/drivers/Win32ConsoleInterface.ec,) \
	$(if $(or $(LINUX_TARGET),$(OSX_TARGET)),src/gui/drivers/XInterface.ec,) \
	src/gui/skins/TVisionSkin.ec \
	src/gui/skins/WindowsSkin.ec \
	src/gui/Anchor.ec \
	src/gui/ClipBoard.ec \
	src/gui/Cursor.ec \
	src/gui/Desktop3D.ec \
	src/gui/FormDesigner.ec \
	src/gui/GuiApplication.ec \
	src/gui/Interface.ec \
	src/gui/Key.ec \
	src/gui/Skin.ec \
	src/gui/Timer.ec \
	src/gui/typeEdit.ec \
	src/gui/Window.ec \
	src/net/dcom.ec \
	src/net/HTTPFile.ec \
	src/net/network.ec \
	src/net/NetworkClientFile.ec \
	src/net/Service.ec \
	src/net/Socket.ec \
	$(if $(ENABLE_SSL),src/net/SSLSocket.ec,) \
	src/com/containers/Array.ec \
	src/com/containers/AVLTree.ec \
	src/com/containers/BuiltInContainer.ec \
	src/com/containers/Container.ec \
	src/com/containers/CustomAVLTree.ec \
	src/com/containers/LinkList.ec \
	src/com/containers/List.ec \
	src/com/containers/Map.ec \
	src/com/BinaryTree.ec \
	src/com/BTNode.ec \
	src/com/dataTypes.ec \
	src/com/instance.ec \
	src/com/String.ec \
	src/com/OldList.ec

ECSOURCES = $(call shwspace,$(_ECSOURCES))
ECSOURCES1 = $(call shwspace,$(_ECSOURCES1))
ECSOURCES2 = $(call shwspace,$(_ECSOURCES2))
ECSOURCES3 = $(call shwspace,$(_ECSOURCES3))

COBJECTS = $(COBJECTS1) $(COBJECTS2) $(COBJECTS3)
COBJECTS1 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(C),$(notdir $(_ECSOURCES1)))))
COBJECTS2 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(C),$(notdir $(_ECSOURCES2)))))
COBJECTS3 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(C),$(notdir $(_ECSOURCES3)))))

SYMBOLS = $(SYMBOLS1) $(SYMBOLS2) $(SYMBOLS3)
SYMBOLS1 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(S),$(notdir $(_ECSOURCES1)))))
SYMBOLS2 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(S),$(notdir $(_ECSOURCES2)))))
SYMBOLS3 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(S),$(notdir $(_ECSOURCES3)))))

IMPORTS = $(IMPORTS1) $(IMPORTS2) $(IMPORTS3)
IMPORTS1 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(I),$(notdir $(_ECSOURCES1)))))
IMPORTS2 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(I),$(notdir $(_ECSOURCES2)))))
IMPORTS3 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(I),$(notdir $(_ECSOURCES3)))))

ECOBJECTS = $(ECOBJECTS1) $(ECOBJECTS2) $(ECOBJECTS3)
ECOBJECTS1 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(O),$(notdir $(_ECSOURCES1)))))
ECOBJECTS2 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(O),$(notdir $(_ECSOURCES2)))))
ECOBJECTS3 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(O),$(notdir $(_ECSOURCES3)))))

BOWLS = $(BOWLS1) $(BOWLS2) $(BOWLS3)
BOWLS1 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(B),$(notdir $(_ECSOURCES1)))))
BOWLS2 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(B),$(notdir $(_ECSOURCES2)))))
BOWLS3 = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.ec,%$(B),$(notdir $(_ECSOURCES3)))))

_OBJECTS = \
	$(OBJ)File.c.o \
	$(OBJ)DualPipe.c.o \
	$(OBJ)System.c.o \
	$(OBJ)harfbuzz-freetype.o \
	$(OBJ)harfbuzz-unicode-tables.o \
	$(OBJ)harfbuzz-unicode.o \
	$(OBJ)harfbuzz-arabic.o \
	$(OBJ)harfbuzz-buffer.o \
	$(OBJ)harfbuzz-gdef.o \
	$(OBJ)harfbuzz-gpos.o \
	$(OBJ)harfbuzz-gsub.o \
	$(OBJ)harfbuzz-hangul.o \
	$(OBJ)harfbuzz-hebrew.o \
	$(OBJ)harfbuzz-indic.o \
	$(OBJ)harfbuzz-khmer.o \
	$(OBJ)harfbuzz-myanmar.o \
	$(OBJ)harfbuzz-open.o \
	$(OBJ)harfbuzz-shaper.o \
	$(OBJ)harfbuzz-stream.o \
	$(OBJ)harfbuzz-tibetan.o \
	$(OBJ)harfbuzz-impl.o \
	$(OBJ)harfbuzz-thai.o \
	$(if $(OSX_TARGET),$(OBJ)CocoaEcereBridge.o,) \
	$(if $(OSX_TARGET),$(OBJ)EcereView.o,) \
	$(OBJ)instance.c.o

OBJECTS = $(_OBJECTS) $(ECOBJECTS) $(OBJ)$(MODULE).main$(O)

SOURCES = $(ECSOURCES) \
	src/sys/File.c \
	src/sys/DualPipe.c \
	src/sys/System.c \
	src/gfx/drivers/harfbuzz/unicode/harfbuzz-freetype.c \
	src/gfx/drivers/harfbuzz/unicode/harfbuzz-unicode-tables.c \
	src/gfx/drivers/harfbuzz/unicode/harfbuzz-unicode.c \
	src/gfx/drivers/harfbuzz/harfbuzz-arabic.c \
	src/gfx/drivers/harfbuzz/harfbuzz-buffer.c \
	src/gfx/drivers/harfbuzz/harfbuzz-gdef.c \
	src/gfx/drivers/harfbuzz/harfbuzz-gpos.c \
	src/gfx/drivers/harfbuzz/harfbuzz-gsub.c \
	src/gfx/drivers/harfbuzz/harfbuzz-hangul.c \
	src/gfx/drivers/harfbuzz/harfbuzz-hebrew.c \
	src/gfx/drivers/harfbuzz/harfbuzz-indic.c \
	src/gfx/drivers/harfbuzz/harfbuzz-khmer.c \
	src/gfx/drivers/harfbuzz/harfbuzz-myanmar.c \
	src/gfx/drivers/harfbuzz/harfbuzz-open.c \
	src/gfx/drivers/harfbuzz/harfbuzz-shaper.c \
	src/gfx/drivers/harfbuzz/harfbuzz-stream.c \
	src/gfx/drivers/harfbuzz/harfbuzz-tibetan.c \
	src/gfx/drivers/harfbuzz/harfbuzz-impl.c \
	src/gfx/drivers/harfbuzz/harfbuzz-thai.c \
	$(if $(OSX_TARGET),src/gui/drivers/cocoa/CocoaEcereBridge.m,) \
	$(if $(OSX_TARGET),src/gui/drivers/cocoa/EcereView.m,) \
	src/com/instance.c

RESOURCES = $(RESOURCES1) $(RESOURCES2) $(RESOURCES3)
RESOURCES1 = \
	$(RES)actions/editFind.png \
	$(RES)actions/folderNew.png \
	$(RES)actions/goDown.png \
	$(RES)actions/goHome.png \
	$(RES)actions/goNext.png \
	$(RES)actions/goPrevious.png \
	$(RES)actions/goUp.png \
	$(RES)actions/listAdd.png \
	$(RES)actions/listRemove.png \
	$(RES)actions/viewRefresh.png \
	$(RES)actions/windowNew.png \
	$(RES)actions/clean.png \
	$(RES)actions/docSave.png \
	$(RES)actions/docNew.png \
	$(RES)constructs/class.png \
	$(RES)constructs/data.png \
	$(RES)constructs/dataPrivate.png \
	$(RES)constructs/dataType.png \
	$(RES)constructs/enum.png \
	$(RES)constructs/enumValue.png \
	$(RES)constructs/event.png \
	$(RES)constructs/library.png \
	$(RES)constructs/method.png \
	$(RES)constructs/methodPrivate.png \
	$(RES)constructs/namespace.png \
	$(RES)constructs/property.png \
	$(RES)constructs/propertyPrivate.png \
	$(RES)controls/button.png \
	$(RES)controls/calendar.png \
	$(RES)controls/checkBox.png \
	$(RES)controls/dataBox.png \
	$(RES)controls/dropBox.png \
	$(RES)controls/editBox.png \
	$(RES)controls/groupBox.png \
	$(RES)controls/label.png \
	$(RES)controls/listBox.png \
	$(RES)controls/menu.png \
	$(RES)controls/optionBox.png \
	$(RES)controls/progressBar.png \
	$(RES)controls/scrollBarHorizontal.png \
	$(RES)controls/scrollBarVertical.png \
	$(RES)controls/statusBar.png \
	$(RES)cursors/arrow.png \
	$(RES)cursors/cross.png \
	$(RES)cursors/iBeam.png \
	$(RES)cursors/move.png \
	$(RES)cursors/sizeEastWest.png \
	$(RES)cursors/sizeNortEastSouthWest.png \
	$(RES)cursors/sizeNorthSouth.png \
	$(RES)cursors/sizeNortWestSouthEast.png
RESOURCES2 = \
	$(RES)devices/computer.png \
	$(RES)devices/driveHardDisk.png \
	$(RES)devices/driveRemovableMedia.png \
	$(RES)devices/mediaFloppy.png \
	$(RES)devices/mediaOptical.png \
	$(RES)elements/areaClose.png \
	$(RES)elements/areaMaximize.png \
	$(RES)elements/areaMinimize.png \
	$(RES)elements/areaRestore.png \
	$(RES)elements/arrowDown.png \
	$(RES)elements/arrowLeft.png \
	$(RES)elements/arrowRight.png \
	$(RES)elements/arrowUp.png \
	$(RES)elements/checkBoxChecked.png \
	$(RES)elements/checkBoxDisabled.png \
	$(RES)elements/checkBoxDisabledChecked.png \
	$(RES)elements/checkBox.png \
	$(RES)elements/optionBoxDisabled.png \
	$(RES)elements/optionBoxDisabledSelected.png \
	$(RES)elements/optionBoxDown.png \
	$(RES)elements/optionBoxSelectedDown.png \
	$(RES)elements/optionBoxSelectedUp.png \
	$(RES)elements/optionBoxUp.png \
	$(RES)elements/orderAscending.png \
	$(RES)elements/orderCategorized.png \
	$(RES)elements/orderDescending.png \
	$(RES)emblems/unreadable.png \
	$(RES)mimeTypes/file.png \
	$(RES)mimeTypes/image.png \
	$(RES)mimeTypes/package.png \
	$(RES)mimeTypes/packageOpticalDisc.png \
	$(RES)mimeTypes/packageSoftware.png \
	$(RES)mimeTypes/text.png \
	$(RES)mimeTypes/textCHeader.png \
	$(RES)mimeTypes/textCSource.png \
	$(RES)mimeTypes/textC++Header.png \
	$(RES)mimeTypes/textC++Source.png \
	$(RES)mimeTypes/textEcereHeader.png \
	$(RES)mimeTypes/textEcereProject.png \

=== installer/Makefile ===
.PHONY: all objdir cleantarget clean realclean distclean pots

# CORE VARIABLES

MODULE := Installer
VERSION := 
CONFIG := release
ifndef COMPILER
COMPILER := default
endif

TARGET_TYPE = executable

# FLAGS

ECFLAGS =
ifndef DEBIAN_PACKAGE
CFLAGS =
LDFLAGS =
endif
PRJ_CFLAGS =
CECFLAGS =
OFLAGS =
LIBS =

ifdef DEBUG
NOSTRIP := y
endif

CONSOLE = -mwindows

# INCLUDES

_CF_DIR = ../

include $(_CF_DIR)crossplatform.mk
include $(_CF_DIR)default.cf

# POST-INCLUDES VARIABLES

OBJ = obj/$(CONFIG).$(PLATFORM)$(COMPILER_SUFFIX)$(DEBUG_SUFFIX)/

RES = 

TARGET = obj/$(CONFIG).$(PLATFORM)$(COMPILER_SUFFIX)$(DEBUG_SUFFIX)/setup-ecere-0.44.11-win32$(E)

_ECSOURCES = \
	src/installer.ec \
	../ide/src/IDESettings.ec \
	../ide/src/OldIDESettings.ec \
	../extras/gui/controls/StringsBox.ec \
	../ide/src/licensing.ec \
	../extras/createLink.ec \
	../extras/gui/controls/CheckListBox.ec

ECSOURCES = $(call shwspace,$(_ECSOURCES))

_COBJECTS = $(addprefix $(OBJ),$(patsubst %.ec,%$(C),$(notdir $(_ECSOURCES))))

_SYMBOLS = $(addprefix $(OBJ),$(patsubst %.ec,%$(S),$(notdir $(_ECSOURCES))))

_IMPORTS = $(addprefix $(OBJ),$(patsubst %.ec,%$(I),$(notdir $(_ECSOURCES))))

_ECOBJECTS = $(addprefix $(OBJ),$(patsubst %.ec,%$(O),$(notdir $(_ECSOURCES))))

_BOWLS = $(addprefix $(OBJ),$(patsubst %.ec,%$(B),$(notdir $(_ECSOURCES))))

COBJECTS = $(call shwspace,$(_COBJECTS))

SYMBOLS = $(call shwspace,$(_SYMBOLS))

IMPORTS = $(call shwspace,$(_IMPORTS))

ECOBJECTS = $(call shwspace,$(_ECOBJECTS))

BOWLS = $(call shwspace,$(_BOWLS))

ifdef WINDOWS_TARGET

_RCSOURCES = \
	../ide/src/resources.rc

RCSOURCES = $(call shwspace,$(_RCSOURCES))

RCOBJECTS = $(call shwspace,$(addprefix $(OBJ),$(patsubst %.rc,%$(O),$(notdir $(_RCSOURCES)))))

else
RCSOURCES =
RCOBJECTS =
endif

OBJECTS = $(ECOBJECTS) $(OBJ)$(MODULE).main$(O) $(RCOBJECTS)

SOURCES = $(ECSOURCES) $(RCSOURCES)

RESOURCES = $(RESOURCES1) $(RESOURCES2) $(RESOURCES3) $(RESOURCES4) $(RESOURCES5) $(RESOURCES6) $(RESOURCES7) $(RESOURCES8) $(RESOURCES9) $(RESOURCES10) $(RESOURCES11) $(RESOURCES12) $(RESOURCES13) $(RESOURCES14) $(RESOURCES15) $(RESOURCES16) $(RESOURCES17) $(RESOURCES18) $(RESOURCES19) $(RESOURCES20) $(RESOURCES21) $(RESOURCES22) $(RESOURCES23) $(RESOURCES24) $(RESOURCES25) $(RESOURCES26) $(RESOURCES27) $(RESOURCES28) $(RESOURCES29) $(RESOURCES30) $(RESOURCES31) $(RESOURCES32) $(RESOURCES33) $(RESOURCES34) $(RESOURCES35) $(RESOURCES36) $(RESOURCES37) $(RESOURCES38) $(RESOURCES39) $(RESOURCES40) $(RESOURCES41) $(RESOURCES42) $(RESOURCES43) $(RESOURCES44) $(RESOURCES45) $(RESOURCES46) $(RESOURCES47) $(RESOURCES48) $(RESOURCES49) $(RESOURCES50) $(RESOURCES51) $(RESOURCES52) $(RESOURCES53) $(RESOURCES54) $(RESOURCES55) $(RESOURCES56) $(RESOURCES57) $(RESOURCES58) $(RESOURCES59) $(RESOURCES60) $(RESOURCES61) $(RESOURCES62) $(RESOURCES63) $(RESOURCES64) $(RESOURCES65) $(RESOURCES66) $(RESOURCES67) $(RESOURCES68) $(RESOURCES69) $(RESOURCES70) $(RESOURCES71) $(RESOURCES72) $(RESOURCES73) $(RESOURCES74) $(RESOURCES75) $(RESOURCES76) $(RESOURCES77) $(RESOURCES78) $(RESOURCES79) $(RESOURCES80) $(RESOURCES81) $(RESOURCES82) $(RESOURCES83) $(RESOURCES84) $(RESOURCES85) $(RESOURCES86) $(RESOURCES87) $(RESOURCES88) $(RESOURCES89) $(RESOURCES90) $(RESOURCES91) $(RESOURCES92) $(RESOURCES93) $(RESOURCES94) $(RESOURCES95) $(RESOURCES96) $(RESOURCES97) $(RESOURCES98) $(RESOURCES99) $(RESOURCES100) $(RESOURCES101) $(RESOURCES102) $(RESOURCES103) $(RESOURCES104) $(RESOURCES105) $(RESOURCES106) $(RESOURCES107) $(RESOURCES108) $(RESOURCES109) $(RESOURCES110) $(RESOURCES111) $(RESOURCES112) $(RESOURCES113) $(RESOURCES114) $(RESOURCES115) $(RESOURCES116) $(RESOURCES117) $(RESOURCES118) $(RESOURCES119) $(RESOURCES120) $(RESOURCES121) $(RESOURCES122) $(RESOURCES123) $(RESOURCES124) $(RESOURCES125) $(RESOURCES126) $(RESOURCES127) $(RESOURCES128) $(RESOURCES129) $(RESOURCES130) $(RESOURCES131) $(RESOURCES132) $(RESOURCES133) $(RESOURCES134) $(RESOURCES135) $(RESOURCES136) $(RESOURCES137) $(RESOURCES138) $(RESOURCES139) $(RESOURCES140) $(RESOURCES141) $(RESOURCES142) $(RESOURCES143) $(RESOURCES144) $(RESOURCES145) $(RESOURCES146) $(RESOURCES147) $(RESOURCES148) $(RESOURCES149) $(RESOURCES150) $(RESOURCES151) $(RESOURCES152) $(RESOURCES153) $(RESOURCES154) $(RESOURCES155) $(RESOURCES156) $(RESOURCES157) $(RESOURCES158) $(RESOURCES159) $(RESOURCES160) $(RESOURCES161) $(RESOURCES162) $(RESOURCES163) $(RESOURCES164) $(RESOURCES165) $(RESOURCES166) $(RESOURCES167) $(RESOURCES168) $(RESOURCES169) $(RESOURCES170) $(RESOURCES171) $(RESOURCES172) $(RESOURCES173) $(RESOURCES174) $(RESOURCES175) $(RESOURCES176) $(RESOURCES177) $(RESOURCES178) $(RESOURCES179) $(RESOURCES180) $(RESOURCES181) $(RESOURCES182) $(RESOURCES183) $(RESOURCES184) $(RESOURCES185) $(RESOURCES186) $(RESOURCES187) $(RESOURCES188) $(RESOURCES189) $(RESOURCES190) $(RESOURCES191) $(RESOURCES192) $(RESOURCES193) $(RESOURCES194) $(RESOURCES195) $(RESOURCES196) $(RESOURCES197) $(RESOURCES198) $(RESOURCES199) $(RESOURCES200) $(RESOURCES201) $(RESOURCES202) $(RESOURCES203) $(RESOURCES204) $(RESOURCES205) $(RESOURCES206) $(RESOURCES207) $(RESOURCES208) $(RESOURCES209) $(RESOURCES210) $(RESOURCES211) $(RESOURCES212) $(RESOURCES213) $(RESOURCES214) $(RESOURCES215) $(RESOURCES216) $(RESOURCES217) $(RESOURCES218) $(RESOURCES219) $(RESOURCES220) $(RESOURCES221)
RESOURCES1 = \
	../ecere/res/elements/areaClose.png \
	../ecere/res/elements/areaMaximize.png \
	../ecere/res/elements/areaMinimize.png \
	../ecere/res/elements/areaRestore.png \
	../ecere/res/elements/arrowDown.png \
	../ecere/res/elements/arrowLeft.png \
	../ecere/res/elements/arrowRight.png \
	../ecere/res/elements/arrowUp.png \
	../ecere/res/unicode/derivedGeneralCategoryStripped.txt \
	../ecere/res/actions/folderNew.png \
	../ecere/res/actions/goUp.png \
	../ecere/res/devices/computer.png \
	../ecere/res/devices/driveHardDisk.png \
	../ecere/res/devices/driveRemovableMedia.png \
	../ecere/res/devices/mediaFloppy.png \
	../ecere/res/devices/mediaOptical.png \
	../ecere/res/mimeTypes/file.png \
	../ecere/res/mimeTypes/brokenFile.png \
	../ecere/res/places/driveRemote.png \
	../ecere/res/places/folder.png \
	../ecere/res/places/folderRemote.png \
	../ecere/res/places/networkServer.png \
	../ecere/res/places/networkWorkgroup.png \
	../ecere/res/places/brokenFolder.png \
	../ecere/res/status/folderOpen.png \
	../ecere/locale/es.mo \
	../ecere/locale/hu.mo \
	../ecere/locale/mr.mo \
	../ecere/locale/nl.mo \
	../ecere/locale/pt_BR.mo \
	../ecere/locale/ru.mo \
	../ecere/locale/zh_CN.mo \
	../obj/win32/bin/documentor.exe \
	../obj/win32/bin/ide.exe \
	../obj/win32/bin/ear.exe \
	../obj/win32/bin/ec.dll \
	../obj/win32/bin/ecc.exe \
	../obj/win32/bin/ecereCOM.dll \
	../obj/win32/bin/ecp.exe \
	../obj/win32/bin/ecs.exe \
	../obj/win32/bin/epj2make.exe \
	../obj/win32/bin/EDA.dll \
	../obj/win32/bin/EDASQLite.dll \
	../doc/ecere.eCdoc \
	../doc/ecereCOM.eCdoc
RESOURCES2 = \
	../doc/EDA.eCdoc \
	../LICENSE \
	../README \
	../doc/tao.pdf \
	coursework/Chapter\ 1\ -\ Getting\ Started/Lab1.1/helloWorld.ec \
	coursework/Chapter\ 1\ -\ Getting\ Started/Lab1.1/HelloWorld.epj \
	coursework/Chapter\ 1\ -\ Getting\ Started/Lab1.2/form1.ec \
	coursework/Chapter\ 1\ -\ Getting\ Started/Lab1.2/HelloForm.epj \
	coursework/Chapter\ 1\ -\ Getting\ Started/answers\ -\ chapter\ 1.odt \
	coursework/Chapter\ 1\ -\ Getting\ Started/exercises\ -\ chapter\ 1.odt \
	coursework/Chapter\ 2\ -\ Variables\ and\ Data\ Types/Lab2.4/lab2.ec \
	coursework/Chapter\ 2\ -\ Variables\ and\ Data\ Types/Lab2.4/Lab2.epj \
	coursework/Chapter\ 2\ -\ Variables\ and\ Data\ Types/Lab2.5/variables.ec \
	coursework/Chapter\ 2\ -\ Variables\ and\ Data\ Types/Lab2.5/VariablesApp.epj \
	coursework/Chapter\ 2\ -\ Variables\ and\ Data\ Types/answers\ -\ chapter\ 2.odt \
	coursework/Chapter\ 2\ -\ Variables\ and\ Data\ Types/exercises\ -\ chapter\ 2.odt \
	coursework/Chapter\ 3\ -\ Operators/Lab3/lab3.ec \
	coursework/Chapter\ 3\ -\ Operators/Lab3/Lab3.epj \
	coursework/Chapter\ 3\ -\ Operators/answers\ -\ chapter\ 3.odt \
	coursework/Chapter\ 3\ -\ Operators/exercises\ -\ chapter\ 3.odt \
	coursework/Chapter\ 4\ -\ Flow\ Control/Lab4/lab4.ec \
	coursework/Chapter\ 4\ -\ Flow\ Control/Lab4/Lab4.epj \
	coursework/Chapter\ 4\ -\ Flow\ Control/answers\ -\ chapter\ 4.odt \
	coursework/Chapter\ 4\ -\ Flow\ Control/exercises\ -\ chapter\ 4.odt \
	coursework/Chapter\ 5\ -\ Structures\ and\ Enumerations/Lab5/colors/lab5colors.ec
RESOURCES3 = \
	coursework/Chapter\ 5\ -\ Structures\ and\ Enumerations/Lab5/colors/lab5colors.epj \
	coursework/Chapter\ 5\ -\ Structures\ and\ Enumerations/Lab5/vectors/lab5vectors.ec \
	coursework/Chapter\ 5\ -\ Structures\ and\ Enumerations/Lab5/vectors/lab5vectors.epj \
	coursework/Chapter\ 5\ -\ Structures\ and\ Enumerations/answers\ -\ chapter\ 5.odt \
	coursework/Chapter\ 5\ -\ Structures\ and\ Enumerations/exercises\ -\ chapter\ 5.odt \
	coursework/Chapter\ 6\ -\ Classes,\ Methods\ and\ Instances/Lab6/lab6.ec \
	coursework/Chapter\ 6\ -\ Classes,\ Methods\ and\ Instances/Lab6/lab6.epj \
	coursework/Chapter\ 6\ -\ Classes,\ Methods\ and\ Instances/answers\ -\ chapter\ 6.odt \
	coursework/Chapter\ 6\ -\ Classes,\ Methods\ and\ Instances/exercises\ -\ chapter\ 6.odt \
	../obj/win32/bin/ecere.dll \
	../obj/win32/lib/libecereVanilla.a \
	../obj/win32/bin/EcereAudio.dll \
	upx391w/upx.exe \
	upx391w/BUGS \
	upx391w/COPYING \
	upx391w/LICENSE \
	upx391w/NEWS \
	upx391w/README \
	upx391w/README.1ST \
	upx391w/THANKS \
	upx391w/TODO \
	upx391w/upx.1 \
	upx391w/upx.doc \
	upx391w/upx.html \
	../samples/3D/Animate3DS/res/desktop.3ds \
	../samples/3D/Animate3DS/res/floor.jpg \
	../samples/3D/Animate3DS/res/wall_80.jpg \
	../samples/3D/Animate3DS/Animate3DS.ec \
	../samples/3D/Animate3DS/Animate3DS.epj \
	../samples/3D/ColorSpheres/colorSpheres.ec \
	../samples/3D/ColorSpheres/colorSpheres.epj \
	../samples/3D/cube2/cube2.ec \
	../samples/3D/cube2/cube2.epj
RESOURCES4 = \
	../samples/3D/cube2/knot.png \
	../samples/3D/cube2/fractal3.jpg \
	../samples/3D/glTriangle/glTriangle.ec \
	../samples/3D/glTriangle/glTriangle.epj \
	../samples/3D/hello3D/hello3D.ec \
	../samples/3D/hello3D/hello3D.epj \
	../samples/3D/HiraganaCube/FreeSans.ttf \
	../samples/3D/HiraganaCube/hiraganaCube.ec \
	../samples/3D/HiraganaCube/HiraganaCube.epj \
	../samples/3D/ModelViewer/res/ecere.png \
	../samples/3D/ModelViewer/res/help.txt \
	../samples/3D/ModelViewer/models/barn/barn.3DS \
	../samples/3D/ModelViewer/models/barn/Batten.jpg \
	../samples/3D/ModelViewer/models/barn/Boardbmp.jpg \
	../samples/3D/ModelViewer/models/barn/Boards.jpg \
	../samples/3D/ModelViewer/models/barn/Boards1.jpg \
	../samples/3D/ModelViewer/models/barn/Concrete.jpg \
	../samples/3D/ModelViewer/models/barn/cutout.jpg \
	../samples/3D/ModelViewer/models/barn/Finish.jpg \
	../samples/3D/ModelViewer/models/barn/FlWood.jpg \
	../samples/3D/ModelViewer/models/barn/Horizont.jpg \
	../samples/3D/ModelViewer/models/barn/OLDWOOD.jpg \
	../samples/3D/ModelViewer/models/barn/Read\ me_Old\ Barn.txt \
	../samples/3D/ModelViewer/models/barn/SANDSHOR.JPG \
	../samples/3D/ModelViewer/models/barn/Shadow.jpg \
	../samples/3D/ModelViewer/models/barn/STEELPLT.JPG \
	../samples/3D/ModelViewer/models/barn/Trellis.jpg \
	../samples/3D/ModelViewer/models/barn/Wood1.jpg \
	../samples/3D/ModelViewer/models/cart/Barrel.JPG \
	../samples/3D/ModelViewer/models/cart/cart.3DS \
	../samples/3D/ModelViewer/models/cart/Cart1.jpg
RESOURCES5 = \
	../samples/3D/ModelViewer/models/cart/Cart2.jpg \
	../samples/3D/ModelViewer/models/cart/Cart3.jpg \
	../samples/3D/ModelViewer/models/cart/metal_F.jpg \
	../samples/3D/ModelViewer/models/cart/MetCart1.jpg \
	../samples/3D/ModelViewer/models/cart/MetCart2.jpg \
	../samples/3D/ModelViewer/models/cart/OLDWOOD.JPG \
	../samples/3D/ModelViewer/models/cart/Read\ me_Cart\ For\ the\ Barn.txt \
	../samples/3D/ModelViewer/models/cart/WoodBr.jpg \
	../samples/3D/ModelViewer/models/cow/cow.3DS \
	../samples/3D/ModelViewer/models/cow/spot_tex.png \

=== debian/changelog ===
ecere-sdk (0.44.11-0ubuntu1) vivid; urgency=low

  [ Jerome St-Louis ]
   * Packaged Ecere SDK 0.44.11 (Bug fix release)
   * Fixed crash on writing initial config file on Linux

  [ Daniel Holbach ]
   * Upload as requested from Debian mentors, as Feature Freeze is coming up
     today. With the next upload to Debian this can be synced again.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 19 Feb 2015 08:26:00 +0100

=== debian/control ===
Source: ecere-sdk
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jerome St-Louis <jerstlouis@gmail.com>
Build-Depends: debhelper (>= 9~),
               dh-exec (>= 0.3~),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev,
               libffi-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgif-dev,
               libgl1-mesa-dev,
               libgl1-mesa-glx,
               libjpeg-dev,
               libncurses5-dev,
               libpng-dev,
               libsqlite3-dev,
               libx11-dev,
               libxext-dev,
               libxrender-dev,
               linux-libc-dev,
               upx-ucl,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://ecere.org/

Package: ecere-sdk
Architecture: any
Depends: ecere-dev, ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ecere-extras, ecere-samples, libeda0, libedasqlite0, libecereaudio0
Description: Ecere cross-platform SDK
 This package is a metapackage providing
 the entire Ecere cross-platform SDK
 (ecere-dev, ecere-samples, ecere-extras,
 libeda0, libedasqlite0).

Package: ecere-dev
Architecture: any
Recommends: fonts-freefont-ttf
Depends: libecc0 (= ${binary:Version}),
         libecerecom0 (= ${binary:Version}),
         ${devel:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ecere SDK Development Tools
 This package provides the compiling tools
 for the eC language, the Ecere IDE,
 as well as the symlinks for the Ecere
 libraries.

Package: libecere0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Ecere Runtime Library
 This package provides the Linux version
 of Ecere's cross-platform runtime library
 for running applications built using the
 Ecere SDK. It includes a GUI toolkit,
 2D/3D graphics engine, networking engine
 as well as system functionality.

Package: libecerecom0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: eC Core Runtime Library
 This package provides the bare minimum
 runtime library for applications
 written in eC.

Package: libecc0
Section: libs
Architecture: any
Multi-Arch: same
Replaces: libec0 (<= 0.44.02-1)
Breaks: libec0 (<= 0.44.02-1)
Pre-Depends: multiarch-support
Depends: libecere0 (= ${binary:Version}),
         ${devel:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: eC Compiler Library
 This package provides the eC compiler.
 It is used by the Ecere IDE, as well
 as the eC compiling tools (ecp, ecc, ecs).
 It could also be used by applications
 wanting to parse or compile eC code.

Package: libeda0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: libecere0, ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Ecere Data Access
 This package provides the Ecere
 Data Access RDBMS abstraction layer.
 The Ecere Database (EDB) engine is built-in.
 For SQLite support, the SQLite driver
 (libedasqlite0) is also required.

Package: libedasqlite0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: libeda0, ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: EDA SQLite Driver
 This package provides SQLite driver
 for building database applications
 with the Ecere Database Access layer.

Package: libecereaudio0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: libecere0, ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Ecere Audio
 This package provides an audio playback and mixer API
 as well as support for basic .wav sound files.
 It makes use of ALSA.

Package: ecere-samples
Architecture: all
Multi-Arch: foreign
Depends: ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Project samples for the Ecere SDK
 This package contains samples for
 multimedia, database, graphics,
 communication, and other useful
 software that can be created with
 the Ecere SDK.

Package: ecere-extras
Architecture: all
Multi-Arch: foreign
Depends: ${devel:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Extras for the Ecere SDK
 This package provides miscellaneous utilities
 not yet part of any library in the form of
 source code.
